MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
sc::MolEnergyConvergence Class Reference
Inheritance diagram for sc::MolEnergyConvergence:
[legend]
Collaboration diagram for sc::MolEnergyConvergence:
[legend]

## Public Member Functions
| MolEnergyConvergence (StateIn &)
| MolEnergyConvergence (const Ref< KeyVal > &)
| The KeyVal constructor. More...
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. More...
void | get_grad (const Ref< Function > &)
| Set the current gradient and displacement.
void | get_x (const Ref< Function > &)
void | set_nextx (const RefSCVector &)
int | converged ()
| Return nonzero if the optimization has converged.
Public Member Functions inherited from sc::Convergence
| Convergence (double tolerance)
| Convergence (StateIn &)
| Convergence (const Ref< KeyVal > &)
| The KeyVal constructor reads the following keywords: More...
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. More...
virtual void | reset ()
| Set the current gradient and displacement to null.
Public Member Functions inherited from sc::SavableState
SavableState & | operator= (const SavableState &)
void | save_state (StateOut &)
| Save the state of the object as specified by the StateOut object. More...
void | save_object_state (StateOut &)
| This can be used for saving state when the exact type of the object is known for both the save and the restore. More...
virtual void | save_vbase_state (StateOut &)
| Save the virtual bases for the object. More...
Public Member Functions inherited from sc::DescribedClass
| DescribedClass (const DescribedClass &)
DescribedClass & | operator= (const DescribedClass &)
ClassDesc * | class_desc () const throw ()
| This returns the unique pointer to the ClassDesc corresponding to the given type_info object. More...
const char * | class_name () const
| Return the name of the object's exact type.
int | class_version () const
| Return the version of the class.
virtual void | print (std::ostream &=ExEnv::out0()) const
| Print the object.
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Protected Member Functions
void | set_defaults ()
Protected Member Functions inherited from sc::Convergence
void | check_conv (const char *heading, double val, double bound, int &pass, int &fail)
void | set_defaults ()
Protected Member Functions inherited from sc::SavableState
| SavableState (const SavableState &)
| SavableState (StateIn &)
| Each derived class StateIn CTOR handles the restore corresponding to calling save_object_state, save_vbase_state, and save_data_state listed above. More...

## Protected Attributes
Ref< MolecularEnergy > | mole_
int | cartesian_
Protected Attributes inherited from sc::Convergence
RefSCVector | grad_
RefSCVector | x_
RefSCVector | nextx_
int | use_max_disp_
double | max_disp_
int | use_max_grad_
double | max_grad_
int | use_rms_disp_
double | rms_disp_
int | use_rms_grad_
double | rms_grad_
int | use_graddisp_
double | graddisp_

## Additional Inherited Members
Static Public Member Functions inherited from sc::SavableState
static void | save_state (SavableState *s, StateOut &)
static SavableState * | restore_state (StateIn &si)
| Restores objects saved with save_state. More...
static SavableState * | key_restore_state (StateIn &si, const char *keyword)
| Like restore_state, but keyword is used to override values while restoring. More...
static SavableState * | dir_restore_state (StateIn &si, const char *objectname, const char *keyword=0)

## Constructor & Destructor Documentation

sc::MolEnergyConvergence::MolEnergyConvergence | ( | const Ref< KeyVal > & |  | ) |

The KeyVal constructor.

In addition to the keywords read by Convergence, the following keywords are examined:

`energy`

  The MolecularEnergy object. This is required.

`cartesian`

  If true, cartesian displacements and gradients will be compared to the convergence criteria. The default is true.

## Member Function Documentation

void sc::MolEnergyConvergence::save_data_state | ( | StateOut & |  | ) |
| virtual

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::SavableState.

The documentation for this class was generated from the following file:

- energy.h